summaryrefslogtreecommitdiffstats
path: root/libraries/libcap-ng
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-13 00:58:45 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:58:45 +0200
commit9d8c5b968efdc6d5f2e41e474df487d315bb33b5 (patch)
tree7bce9604231463efc83b8281e779e8b45aa14c00 /libraries/libcap-ng
parent1f75a04e5fc8fc64cb393f193bf6165230574586 (diff)
downloadslackbuilds-9d8c5b968efdc6d5f2e41e474df487d315bb33b5.tar.gz
slackbuilds-9d8c5b968efdc6d5f2e41e474df487d315bb33b5.tar.xz
libraries/libcap-ng: Added to 13.0 repository
Diffstat (limited to 'libraries/libcap-ng')
-rw-r--r--libraries/libcap-ng/README9
-rw-r--r--libraries/libcap-ng/libcap-ng.SlackBuild87
-rw-r--r--libraries/libcap-ng/libcap-ng.info10
-rw-r--r--libraries/libcap-ng/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/libraries/libcap-ng/README b/libraries/libcap-ng/README
new file mode 100644
index 0000000000..e21cdd3128
--- /dev/null
+++ b/libraries/libcap-ng/README
@@ -0,0 +1,9 @@
+The libcap-ng library is intended to make programming with posix
+capabilities much easier than the traditional libcap library. It includes
+utilities that can analyse all currently running applications and print
+out any capabilities and whether or not it has an open ended bounding set.
+
+The included utilities are designed to let admins and developers spot apps
+from various ways that may be running with too much privilege.
+
+As of the 0.6 release, you can use libcap-ng in python.
diff --git a/libraries/libcap-ng/libcap-ng.SlackBuild b/libraries/libcap-ng/libcap-ng.SlackBuild
new file mode 100644
index 0000000000..e26dcaf517
--- /dev/null
+++ b/libraries/libcap-ng/libcap-ng.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for libcap-ng
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=libcap-ng
+VERSION=${VERSION:-0.6.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+
+# This target only works if our kernel-headers match the kernel.
+#make check
+
+make install-strip DESTDIR=$PKG
+
+# Remove a couple things so they don't get picked up
+rm -vf $PKG//usr/lib${LIBDIRSUFFIX}/libcap-ng.la
+rm -vf $PKG//usr/lib${LIBDIRSUFFIX}/libcap-ng.a
+rm -vf $PKG//usr/lib${LIBDIRSUFFIX}/python?.?/site-packages/_capng.a
+rm -vf $PKG//usr/lib${LIBDIRSUFFIX}/python?.?/site-packages/_capng.la
+
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING.LIB INSTALL README COPYING ChangeLog NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/libraries/libcap-ng/libcap-ng.info b/libraries/libcap-ng/libcap-ng.info
new file mode 100644
index 0000000000..ff7fab7685
--- /dev/null
+++ b/libraries/libcap-ng/libcap-ng.info
@@ -0,0 +1,10 @@
+PRGNAM="libcap-ng"
+VERSION="0.6.2"
+HOMEPAGE="http://people.redhat.com/sgrubb/libcap-ng/"
+DOWNLOAD="http://people.redhat.com/sgrubb/libcap-ng/libcap-ng-0.6.2.tar.gz"
+MD5SUM="f9af01f4ec602506da717632b94354fd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="Erik Hanson"
diff --git a/libraries/libcap-ng/slack-desc b/libraries/libcap-ng/slack-desc
new file mode 100644
index 0000000000..5dad91c3bb
--- /dev/null
+++ b/libraries/libcap-ng/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+libcap-ng: libcap-ng (capabilities library and utilities)
+libcap-ng:
+libcap-ng: The libcap-ng library is intended to make programming with posix
+libcap-ng: capabilities easier. The library has some utilities to help you
+libcap-ng: analyse a system for apps that may have too much privileges.
+libcap-ng:
+libcap-ng: libcap-ng was written and is maintained by Steve Grubb
+libcap-ng:
+libcap-ng:
+libcap-ng:
+libcap-ng: